var app = new Vue({
    el: "#app",
    data: {
        searchKey: '',
        select: {},
        data: [
        <#list apiList as item>
            {
                "title": "${item.title?default('')}",
                "type": "ajax",
                "module": "${item.module?default('')}",
                "target": "${item.target?default('')}",
                "method": "${item.method?default('')}",
                "id": "ajax.${item.module}.${item.target}.${item.method}",
                "reqParams": [
                    <#list item.reqParams as param>
                    {
                        "name": "${param.name?default('')}",
                        "type": "${param.type?default('')}",
                        "required": ${param.required?c},
                        "note": "${param.note?default('')}"
                    },
                    </#list>
                ],
                "rspParams": [
                    <#list item.rspParams as param>
                    {
                        "name": "${param.name?default('')}",
                        "type": "${param.type?default('')}",
                        "note": "${param.note?default('')}"
                    },
                    </#list>
                ],
                "entList": [
                    <#list item.entParams?keys as key>
                    {
                        "name": "${key}",
                        "params": [
                            <#list item.entParams[key] as param>
                            {
                                "name": "${param.name?default('')}",
                                "type": "${param.type?default('')}",
                                "note": "${param.note?default('')}"
                            },
                            </#list>
                        ]
                    }
                    </#list>
                ]
            },
        </#list>
        ],
    },
    computed: {
        list: function () {
            var reg = new RegExp(this.searchKey, 'ig');
            if (this.searchKey) {
                return this.data.filter(function (item) {
                    return item.title.match(reg);
                });
            }
            return this.data;
        }
    },
    methods: {
        onSelect: function (item) {
            this.select = item;
        }
    }
});